| Home | Libraries | People | FAQ | More

## Class basic_parsed_options<wchar_t>

boost::program_options::basic_parsed_options<wchar_t>

## Synopsis

    class basic_parsed_options<wchar_t> {
    public:

      // public member functions
       basic_parsed_options(const basic_parsed_options< char > &) ;
      std::vector< basic_option< wchar_t > > options;
      const options_description * description;
      basic_parsed_options< char > utf8_encoded_options;
    };

## Description

Specialization of basic_parsed_options which:

- provides convenient conversion from basic_parsed_options<char>

- stores the passed char-based options for later use.

### `basic_parsed_options` public member functions

1.      basic_parsed_options(const basic_parsed_options< char > & po) ;

   Constructs wrapped options from options in UTF8 encoding.